# Package org.red5.server.exception

Exception Summary
Exception | Description
--- | ---
AccessDeniedException | Access denied
ClientDetailsException | Exception class than contains additional parameters to return to the client.
ClientNotFoundException | Client not found
ClientRejectedException | The client is not allowed to connect.
ScopeHandlerNotFoundException | Scope handler not found.
ScopeNotFoundException | Scope not found, thrown when child scope wasn't found.
ScopeShuttingDownException | Scope is currently shutting down.
ServiceNotFoundException | Thrown when server can't be found
SharedObjectException | Base for all shared object-related exceptions
StreamControlException | Stream control exception
StreamDataException | Thrown on stream data exception